### Function

# FwupdPlugin strtoull

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_strtoull (
      const gchar* str,
      guint64* value,
      guint64 min,
      guint64 max,
      FuIntegerBase base,
      GError** error
    )

#### Description [src]

Converts a string value to an integer. If the `value` is prefixed with `0x` then the base is set to 16 automatically.

Available since: 2.0.0

#### Parameters

`str`

  Type: `const gchar*`

  A string, e.g. `0x1234`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `guint64*`

  Parsed value.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.

`min`

  Type: `guint64`

  Minimum acceptable value, typically 0.

`max`

  Type: `guint64`

  Maximum acceptable value, typically G_MAXUINT64.

`base`

  Type: `FuIntegerBase`

  Default log base, usually `FU_INTEGER_BASE_AUTO`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the value was parsed correctly, or `FALSE` for error.